{
  Kill VCRs from an RST.
  -- Quick'n'Dirty Workaround for Spacelord with PHost.

  This simply sets the VCR count to zero, so Spacelord won't see the
  VCRs; nor will any well-written Unpack program. This program is not
  intended to completely blank out VCRs: they will still be there,
  and can be extracted with a hex editor.

  Usage: NOVCR D:\path\to\game\player9.rst

  Public Domain; 25/Jul/2001 by Stefan Reuther <Streu@gmx.de>.
  No warranties of any kind. This will break your RSTs, but you can
  keep both halves.
}
{$I-}

PROCEDURE Die(S:STRING);
BEGIN
  Writeln(ParamStr(1), ': ', S);
  Halt(1);
END;

VAR F    : FILE;
    ptrs : ARRAY[1..8] OF LONGINT;
    z    : WORD;

BEGIN
  IF ParamCount<>1 THEN BEGIN
    Writeln('Usage: NOVCR <playerX.rst>');
    Halt(1);
  END;
  Assign(F, ParamStr(1));
  Reset(F, 1);
  IF IOResult<>0 THEN Die('can''t open file');
  Blockread(F, ptrs, Sizeof(ptrs));
  Dec(ptrs[8]);
  IF (ptrs[8] < 100) OR (ptrs[8] > FileSize(F)-1) THEN Die('invalid file format');
  Seek(F, ptrs[8]);
  z := 0;
  Blockwrite(F, z, 2);
  Close(F);
END.
